Subject: Segfault in daemon mode Emacs when detaching an X session

From: Doug Gilmore <[email-masked]>
Date: Sun, 10 Jul 2016 17:00:49 -0700

I have been running my own build of Emacs 24.2 for quite a while in
daemon mode for quite a while without any problems except that the
daemon would on rare occasions crash when I detached a windows frame
via the delete-frame Emacs command.  The other day this happened
several times in succession when connecting to a daemon running on
another host and I was able to catch the failure under an attached gdb
session.  I attached a backtrace and a prototype fix.

I have been building my own Emacs on Ubuntu-12/14 configured with the
--with-x-toolkit=lucid option, so this is not a Gtk issue.

Has anyone else been seeing this problem?

Thanks,

Doug